Bug 915318 - File attachments contents is mangled [regression]
Summary: File attachments contents is mangled [regression]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-bugzilla
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-25 13:45 UTC by Kamil Páral
Modified: 2013-03-22 21:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-22 21:00:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Kamil Páral 2013-02-25 13:45:02 UTC
Description of problem:

$ cat foo
bar
baz

$ bugzilla attach --file=foo --description=foo --type=text/plain 915312
Created attachment 702356 [details] on bug 915312

$ bugzilla attach --file=foo --description=foo2 915312
Created attachment 702357 [details] on bug 915312

Please see the attachments, the contents is completely mangled.

This used to work with previous python-bugzilla versions.

Version-Release number of selected component (if applicable):
python-bugzilla-0.8.0-1.fc18.noarch

How reproducible:
always

Comment 1 Toshio Ernie Kuratomi 2013-02-25 15:01:01 UTC
@kparal I saw that you added negative karma to the python-fedora, python-requests update and linked this bug.  Have you traced this to those packages or was that in error?  If the latter, the python-bugzilla updates are still in testing so it's not too late to give them negative karma: https://admin.fedoraproject.org/updates/python-bugzilla

Comment 2 Kamil Páral 2013-02-26 09:54:35 UTC
Toshio, thanks a lot. I mistakenly added the comment to python-fedora instead of python-bugzilla. I'll fix that now.

File attachments work perfectly with python-bugzilla-0.7.0-3.fc18.noarch, I just tested that.

Comment 3 Cole Robinson 2013-02-27 00:07:26 UTC
Thanks for the report, fixed upstream:

http://git.fedorahosted.org/cgit/python-bugzilla.git/commit/?id=23b5b373ec18974bde6ce4dba006e81b8af1169f

I'll push another update this week.

Comment 4 Fedora Update System 2013-03-04 22:12:51 UTC
python-bugzilla-0.8.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-bugzilla-0.8.0-2.fc18

Comment 5 Fedora Update System 2013-03-05 23:24:53 UTC
Package python-bugzilla-0.8.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-bugzilla-0.8.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3447/python-bugzilla-0.8.0-2.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-03-22 21:00:05 UTC
python-bugzilla-0.8.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.